=== debian/changelog ===
fheroes2 (1.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.5

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Tue, 31 Dec 2024 18:49:19 +0300
