=== debian/changelog ===
fheroes2 (1.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.6
  * d/control: bump Standards-Version up to 4.7.2
  * d/copyright:
    - refresh years
    - update excluded files list
    - remove unneeded licenses

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Sun, 02 Mar 2025 22:51:26 +0300
