## fheroes2 1.1.7+dfsg

=== debian/changelog ===
fheroes2 (1.1.7+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.7

  [ Alexandre Detiste ]
  * d/control: format with debputy
  * d/rules: use new, shorter syntax

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Fri, 28 Mar 2025 15:38:50 +0300
