=== debian/changelog ===
fheroes2 (1.1.8+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.1.8+dfsg

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 16:46:20 +0200
