=== debian/control ===
Source: fheroes2
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Anatoliy Gunya <csm.sub21@gmail.com>,
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libsdl2-dev,
 libsdl2-mixer-dev,
 libsmacker-dev,
 libz-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/games-team/fheroes2.git
Vcs-Browser: https://salsa.debian.org/games-team/fheroes2
Homepage: https://ihhub.github.io/fheroes2/
X-Style: black

Package: fheroes2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 game-data-packager (>= 70),
Description: recreation of the Heroes of Might and Magic II game engine
 Heroes of Might and Magic II is a classic fantasy turn-based
 strategy/role-playing game which takes place in the land of Enroth,
 a place of magic.
 There are a multitude of creature types, from griffins to rocs,
 golems to pikemen, unicorns to hydras, and four different dragons.
 Each castle type has six different creatures, from the weak
 to the strong. There are six castle types, each corresponding to
 a hero class: Knight, Sorceress, Wizard (Good side), Barbarian,
 Necromancer and Warlock (Evil side). There are also six different
 types of neutral creatures you can recruit in special structures
 scattered about the maps.
 .
 Original game files are needed to play this game.
