## fheroes2 1.1.10+dfsg

=== debian/changelog ===
fheroes2 (1.1.10+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.10+dfsg

 -- Alexandre Detiste <tchet@debian.org>  Fri, 12 Sep 2025 12:03:42 +0200
