=== debian/changelog ===
fheroes2 (1.1.11+dfsg-1) unstable; urgency=medium

  * New upstream version 1.1.11+dfsg
  * d/fheroes2.install: add maps

 -- Anatoliy Gunya <csm.sub21@gmail.com>  Sun, 14 Sep 2025 23:24:08 +0300
