=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  libsmacker-dev,
  libz-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/games-team/fheroes2.git
 Vcs-Browser: https://salsa.debian.org/games-team/fheroes2
 Homepage: https://ihhub.github.io/fheroes2/
