=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export LC_ALL = C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_STRIP = -O2
export DEB_CXXFLAGS_MAINT_STRIP = -O2
ifeq ($(DEB_TARGET_ARCH),armel)
export DEB_LDFLAGS_MAINT_APPEND = -latomic
endif
export FHEROES2_DATA = /usr/share/games/fheroes2
export FHEROES2_WITH_SYSTEM_SMACKER = 1

%:
	dh $@

execute_after_dh_auto_build:
	make -C docs

execute_before_dh_auto_clean:
	make -C docs clean
