=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//, repacksuffix=+dfsg, compression=xz" https://github.com/ihhub/@PACKAGE@/tags /ihhub/@PACKAGE@/archive/refs/tags/@ANY_VERSION@\.tar\.gz
